
package nlib.col.service.impl;

import javax.annotation.Resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import nlib.col.service.CollectionService;
import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

@Service("collectionService")
public class CollectionServiceImpl implements CollectionService
{
	private static final Logger log = LoggerFactory.getLogger(CollectionServiceImpl.class);
	
	@Resource(name = "collectionDAO")
	private CollectionDAO collectionDAO;

	/* 
	 * 소장자료 목록을 조회한다.
	 * 
	 * (non-Javadoc)
	 * @see nlib.col.service.CollectionService#listItems(nlib.restful.service.DataApiReqVO)
	 */
	public DataApiResVO listItems(DataApiReqVO reqVO)  {
		return collectionDAO.listItems(reqVO);
	}

	public DataApiResVO insertInterest(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO reserveItem(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO viewOriginalCopy(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO requestViewingItem(DataApiReqVO reqVO)  {
		return null;
	}
	/* 
	 * 소장자료를 상세 조회한다.
	 * 
	 * (non-Javadoc)
	 * @see nlib.col.service.CollectionService#selectItemInfo(nlib.restful.service.DataApiReqVO)
	 */
	public DataApiResVO selectItemInfo(DataApiReqVO reqVO)  {
		return collectionDAO.selectItemInfo(reqVO);
	}
	/* 
	 * 관심 자료 목록을 조회한다.
	 * 
	 * (non-Javadoc)
	 * @see nlib.col.service.CollectionService#listInterests(nlib.restful.service.DataApiReqVO)
	 */
	public DataApiResVO listInterests(DataApiReqVO reqVO)  {
		return collectionDAO.listInterests(reqVO);
	}

	public DataApiResVO deleteInterest(DataApiReqVO reqVO)  {
		return null;
	}


}